; +
; @file_comments
; initialisation on ORCA2 grid
;
; @history
; F. Vivier 2003
; F. Pinsard adaptation to new SAXO
; according to SAXO ./SRC/Tests/tst_initorca2.pro
;
; @todo
; parametrisation for ORCA025
;
; zminmesh and izmaxmesh may be set to 0,0 because we only work with 
; surface problem (no z) whatever the resolution of ORCA. this will safe lot 
; of memory
; 
; use ncdf_getaxis to recover meshmask dimension
; on x, retrieve -1 and -1 (bande de recouvrement haut et bas)
; on y, for ORCA2, retrieve -2 (bande de recouvrement ++ et ++) 
;
; reminder : ORCA2 = 182 x 149 and ORCA025 1442 x 1021
; 
; for ORCA025, user /keepcont in triangule call.
;
; @version
; $Id$
;-
;
@cm_4mesh
@cm_4cal
@cm_4data
;
;---------------------------------------------------------
; boundaries of the read grid regarding to the original grid
;----------------------------------------------------------
;
ixminmesh  =1
ixmaxmesh  =180
;
iyminmesh  =0
iymaxmesh  =147
;
izminmesh  =-1
izmaxmesh  =-1
;
jpt = 1
time = 0
;------------------------------------------------------
; read the grid
;------------------------------------------------------
iodir = '/usr/work/sur/fvi/OPA/ORCA2/'

key_stride = [1, 1, 1]
ncdf_meshlec, 'meshmask_bab.nc', glamboundary = [20, 380]
;-------------------------------------------------------------
domdef
;
triangles_list = triangule()
;----------------------------------------------------------
; boundaries of the data regarding to the original grid
;----------------------------------------------------------
jpidta = jpiglo
jpjdta = jpjglo
jpkdta = jpkglo
ixmindta = 0
ixmaxdta = jpidta-1
iymindta = 0
iymaxdta = jpjdta-1
izmindta = 0
izmaxdta = jpkdta-1
;----------------------------------------------------------
@updateold
